package com.hfkj.entity;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * bs_rebate_activity
 * @author 
 */
/**
 * 
 * 代码由工具生成
 * 
 **/
public class BsRebateActivity implements Serializable {
    /**
     * 主键
     */
    private Long id;

    /**
     * 商户id
     */
    private Long merId;

    /**
     * 商户号
     */
    private String merNo;

    /**
     * 商户名称
     */
    private String merName;

    /**
     * 商户简称
     */
    private String merAbbreviate;

    /**
     * 活动编号
     */
    private String activityNo;

    /**
     * 活动类型    1：优惠活动   2：优惠券
     */
    private Integer activityType;

    /**
     * 优惠类型    1：满减   2：立减   3：折扣
     */
    private Integer preferentialType;

    /**
     * 优惠条件(满减价格)
     */
    private BigDecimal condition;

    /**
     * 优惠金额
     */
    private BigDecimal price;

    /**
     * 限制类型  1. 每日
     */
    private Integer restrictPartakeType;

    /**
     * 限制使用次数
     */
    private Integer restrictPartakeNum;

    /**
     * 活动开始时间
     */
    private Date startTime;

    /**
     * 活动结束时间
     */
    private Date endTime;

    /**
     * 实际活动结束时间
     */
    private Date realityEndTime;

    /**
     * 活动结束方式  1：系统自动   2：手动
     */
    private Integer realityEndType;

    /**
     * 状态  0：不可用   1：编辑中    2：进行中   3：已结束
     */
    private Integer status;

    /**
     * 创建时间
     */
    private Date createTime;

    /**
     * 更新时间
     */
    private Date updateTime;

    private String ext1;

    private String ext2;

    private String ext3;

    private static final long serialVersionUID = 1L;

    private String endTimeStr;

    private BsRebateActivityAccount activityAccount;

    public String getEndTimeStr() {
        return endTimeStr;
    }
    public void setEndTimeStr(String endTimeStr) {
        this.endTimeStr = endTimeStr;
    }
    public BsRebateActivityAccount getActivityAccount() {
        return activityAccount;
    }

    public void setActivityAccount(BsRebateActivityAccount activityAccount) {
        this.activityAccount = activityAccount;
    }
    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getMerId() {
        return merId;
    }

    public void setMerId(Long merId) {
        this.merId = merId;
    }

    public String getMerNo() {
        return merNo;
    }

    public void setMerNo(String merNo) {
        this.merNo = merNo;
    }

    public String getMerName() {
        return merName;
    }

    public void setMerName(String merName) {
        this.merName = merName;
    }

    public String getMerAbbreviate() {
        return merAbbreviate;
    }

    public void setMerAbbreviate(String merAbbreviate) {
        this.merAbbreviate = merAbbreviate;
    }

    public String getActivityNo() {
        return activityNo;
    }

    public void setActivityNo(String activityNo) {
        this.activityNo = activityNo;
    }

    public Integer getActivityType() {
        return activityType;
    }

    public void setActivityType(Integer activityType) {
        this.activityType = activityType;
    }

    public Integer getPreferentialType() {
        return preferentialType;
    }

    public void setPreferentialType(Integer preferentialType) {
        this.preferentialType = preferentialType;
    }

    public BigDecimal getCondition() {
        return condition;
    }

    public void setCondition(BigDecimal condition) {
        this.condition = condition;
    }

    public BigDecimal getPrice() {
        return price;
    }

    public void setPrice(BigDecimal price) {
        this.price = price;
    }

    public Integer getRestrictPartakeType() {
        return restrictPartakeType;
    }

    public void setRestrictPartakeType(Integer restrictPartakeType) {
        this.restrictPartakeType = restrictPartakeType;
    }

    public Integer getRestrictPartakeNum() {
        return restrictPartakeNum;
    }

    public void setRestrictPartakeNum(Integer restrictPartakeNum) {
        this.restrictPartakeNum = restrictPartakeNum;
    }

    public Date getStartTime() {
        return startTime;
    }

    public void setStartTime(Date startTime) {
        this.startTime = startTime;
    }

    public Date getEndTime() {
        return endTime;
    }

    public void setEndTime(Date endTime) {
        this.endTime = endTime;
    }

    public Date getRealityEndTime() {
        return realityEndTime;
    }

    public void setRealityEndTime(Date realityEndTime) {
        this.realityEndTime = realityEndTime;
    }

    public Integer getRealityEndType() {
        return realityEndType;
    }

    public void setRealityEndType(Integer realityEndType) {
        this.realityEndType = realityEndType;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public String getExt1() {
        return ext1;
    }

    public void setExt1(String ext1) {
        this.ext1 = ext1;
    }

    public String getExt2() {
        return ext2;
    }

    public void setExt2(String ext2) {
        this.ext2 = ext2;
    }

    public String getExt3() {
        return ext3;
    }

    public void setExt3(String ext3) {
        this.ext3 = ext3;
    }

    @Override
    public boolean equals(Object that) {
        if (this == that) {
            return true;
        }
        if (that == null) {
            return false;
        }
        if (getClass() != that.getClass()) {
            return false;
        }
        BsRebateActivity other = (BsRebateActivity) that;
        return (this.getId() == null ? other.getId() == null : this.getId().equals(other.getId()))
            && (this.getMerId() == null ? other.getMerId() == null : this.getMerId().equals(other.getMerId()))
            && (this.getMerNo() == null ? other.getMerNo() == null : this.getMerNo().equals(other.getMerNo()))
            && (this.getMerName() == null ? other.getMerName() == null : this.getMerName().equals(other.getMerName()))
            && (this.getMerAbbreviate() == null ? other.getMerAbbreviate() == null : this.getMerAbbreviate().equals(other.getMerAbbreviate()))
            && (this.getActivityNo() == null ? other.getActivityNo() == null : this.getActivityNo().equals(other.getActivityNo()))
            && (this.getActivityType() == null ? other.getActivityType() == null : this.getActivityType().equals(other.getActivityType()))
            && (this.getPreferentialType() == null ? other.getPreferentialType() == null : this.getPreferentialType().equals(other.getPreferentialType()))
            && (this.getCondition() == null ? other.getCondition() == null : this.getCondition().equals(other.getCondition()))
            && (this.getPrice() == null ? other.getPrice() == null : this.getPrice().equals(other.getPrice()))
            && (this.getRestrictPartakeType() == null ? other.getRestrictPartakeType() == null : this.getRestrictPartakeType().equals(other.getRestrictPartakeType()))
            && (this.getRestrictPartakeNum() == null ? other.getRestrictPartakeNum() == null : this.getRestrictPartakeNum().equals(other.getRestrictPartakeNum()))
            && (this.getStartTime() == null ? other.getStartTime() == null : this.getStartTime().equals(other.getStartTime()))
            && (this.getEndTime() == null ? other.getEndTime() == null : this.getEndTime().equals(other.getEndTime()))
            && (this.getRealityEndTime() == null ? other.getRealityEndTime() == null : this.getRealityEndTime().equals(other.getRealityEndTime()))
            && (this.getRealityEndType() == null ? other.getRealityEndType() == null : this.getRealityEndType().equals(other.getRealityEndType()))
            && (this.getStatus() == null ? other.getStatus() == null : this.getStatus().equals(other.getStatus()))
            && (this.getCreateTime() == null ? other.getCreateTime() == null : this.getCreateTime().equals(other.getCreateTime()))
            && (this.getUpdateTime() == null ? other.getUpdateTime() == null : this.getUpdateTime().equals(other.getUpdateTime()))
            && (this.getExt1() == null ? other.getExt1() == null : this.getExt1().equals(other.getExt1()))
            && (this.getExt2() == null ? other.getExt2() == null : this.getExt2().equals(other.getExt2()))
            && (this.getExt3() == null ? other.getExt3() == null : this.getExt3().equals(other.getExt3()));
    }

    @Override
    public int hashCode() {
        final int prime = 31;
        int result = 1;
        result = prime * result + ((getId() == null) ? 0 : getId().hashCode());
        result = prime * result + ((getMerId() == null) ? 0 : getMerId().hashCode());
        result = prime * result + ((getMerNo() == null) ? 0 : getMerNo().hashCode());
        result = prime * result + ((getMerName() == null) ? 0 : getMerName().hashCode());
        result = prime * result + ((getMerAbbreviate() == null) ? 0 : getMerAbbreviate().hashCode());
        result = prime * result + ((getActivityNo() == null) ? 0 : getActivityNo().hashCode());
        result = prime * result + ((getActivityType() == null) ? 0 : getActivityType().hashCode());
        result = prime * result + ((getPreferentialType() == null) ? 0 : getPreferentialType().hashCode());
        result = prime * result + ((getCondition() == null) ? 0 : getCondition().hashCode());
        result = prime * result + ((getPrice() == null) ? 0 : getPrice().hashCode());
        result = prime * result + ((getRestrictPartakeType() == null) ? 0 : getRestrictPartakeType().hashCode());
        result = prime * result + ((getRestrictPartakeNum() == null) ? 0 : getRestrictPartakeNum().hashCode());
        result = prime * result + ((getStartTime() == null) ? 0 : getStartTime().hashCode());
        result = prime * result + ((getEndTime() == null) ? 0 : getEndTime().hashCode());
        result = prime * result + ((getRealityEndTime() == null) ? 0 : getRealityEndTime().hashCode());
        result = prime * result + ((getRealityEndType() == null) ? 0 : getRealityEndType().hashCode());
        result = prime * result + ((getStatus() == null) ? 0 : getStatus().hashCode());
        result = prime * result + ((getCreateTime() == null) ? 0 : getCreateTime().hashCode());
        result = prime * result + ((getUpdateTime() == null) ? 0 : getUpdateTime().hashCode());
        result = prime * result + ((getExt1() == null) ? 0 : getExt1().hashCode());
        result = prime * result + ((getExt2() == null) ? 0 : getExt2().hashCode());
        result = prime * result + ((getExt3() == null) ? 0 : getExt3().hashCode());
        return result;
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", id=").append(id);
        sb.append(", merId=").append(merId);
        sb.append(", merNo=").append(merNo);
        sb.append(", merName=").append(merName);
        sb.append(", merAbbreviate=").append(merAbbreviate);
        sb.append(", activityNo=").append(activityNo);
        sb.append(", activityType=").append(activityType);
        sb.append(", preferentialType=").append(preferentialType);
        sb.append(", condition=").append(condition);
        sb.append(", price=").append(price);
        sb.append(", restrictPartakeType=").append(restrictPartakeType);
        sb.append(", restrictPartakeNum=").append(restrictPartakeNum);
        sb.append(", startTime=").append(startTime);
        sb.append(", endTime=").append(endTime);
        sb.append(", realityEndTime=").append(realityEndTime);
        sb.append(", realityEndType=").append(realityEndType);
        sb.append(", status=").append(status);
        sb.append(", createTime=").append(createTime);
        sb.append(", updateTime=").append(updateTime);
        sb.append(", ext1=").append(ext1);
        sb.append(", ext2=").append(ext2);
        sb.append(", ext3=").append(ext3);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }
}
